REST APIConnected domains
Poll a connected domain's verification state
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Path Parameters
hostname*string
Match
^(?!-)[a-z0-9-]+(\.[a-z0-9-]+)+$Length
3 <= length <= 253Query Parameters
revalidate?boolean
Default
falseResponse Body
application/json
curl -X GET "https://example.com/connected-domains/string"{ "hostname": "string", "state": "pending", "ownershipStatus": "pending", "certificateStatus": "pending", "routingStatus": "unassigned", "projectId": "string", "instructions": [ { "type": "CNAME", "name": "string", "value": "string", "purpose": "routing", "required": true } ], "dnsHost": "cloudflare", "dcvDelegation": "ok", "verificationErrors": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "checkedAt": "2019-08-24T14:15:22Z"}